Package net.sourceforge.chart2d

# Class PieChart2DProperties

java.lang.Object
net.sourceforge.chart2d.PieChart2DProperties

public final class PieChart2DProperties extends Object
A data structure for holding the properties common to all PieChart2D charts. A PieChart2D object is an enclosed are with a title, pie sectors, pie labels, and a legend. Pass this to any number of PieChart2D objects.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `BOTTOM`
  Signifies bottom.
  `static final boolean`
  `CHART_BETWEEN_PIE_LABELS_AND_PIE_GAP_EXISTENCE_DEFAULT`
  The default is true.
  `static final int`
  `CHART_BETWEEN_PIE_LABELS_AND_PIE_GAP_THICKNESS_MODEL_DEFAULT`
  The default is 6.
  `static final int`
  `LEFT`
  Signifies left.
  `static final int`
  `NONE`
  Signifies none.
  `static final int`
  `PERCENT`
  Indicates the pie numbers labels should have percent ratios.
  `static final boolean`
  `PIE_LABELS_BETWEEN_LABELS_GAP_EXISTENCE_DEFAULT`
  The default is true.
  `static final int`
  `PIE_LABELS_BETWEEN_LABELS_GAP_THICKNESS_MODEL_DEFAULT`
  The default is 3.
  `static final boolean`
  `PIE_LABELS_EXISTENCE_DEFAULT`
  The default is true.
  `static final Color`
  `PIE_LABELS_FONT_COLOR_DEFAULT`
  The default is Color.black.
  `static final String`
  `PIE_LABELS_FONT_NAME_DEFAULT`
  The default is "SansSerif".
  `static final int`
  `PIE_LABELS_FONT_POINT_MODEL_DEFAULT`
  The default is 10.
  `static final int`
  `PIE_LABELS_FONT_STYLE_DEFAULT`
  The default is Font.PLAIN.
  `static final Color`
  `PIE_LABELS_LINES_COLOR_DEFAULT`
  The default is Color.black.
  `static final Color`
  `PIE_LABELS_LINES_DOTS_COLOR_DEFAULT`
  The default is Color.black.
  `static final boolean`
  `PIE_LABELS_LINES_DOTS_EXISTENCE_DEFAULT`
  The default is false.
  `static final int`
  `PIE_LABELS_LINES_DOTS_THICKNESS_MODEL_DEFAULT`
  The default is 2.
  `static final boolean`
  `PIE_LABELS_LINES_EXISTENCE_DEFAULT`
  The default is true.
  `static final int`
  `PIE_LABELS_LINES_THICKNESS_MODEL_DEFAULT`
  The default is 1.
  `static final float`
  `PIE_LABELS_POINTS_BETWEEN_PIE_AND_LABEL_GAPS_DEPTH_RATIO_DEFAULT`
  The default is .25f.
  `static final boolean`
  `PIE_LABELS_POINTS_GAP_OFFSET_EXISTENCE_DEFAULT`
  The default is true.
  `static final float`
  `PIE_LABELS_POINTS_GAP_OFFSET_MODEL_RATIO_DEFAULT`
  The default is .50f.
  `static final float`
  `PIE_LABELS_POINTS_PIE_SECTORS_DEPTH_RATIO_DEFAULT`
  The default is .125f.
  `static final int`
  `PIE_LABELS_TYPE_DEFAULT`
  The default is RAW + PERCENT.
  `static final int`
  `PIE_PREFERRED_SIZE_DEFAULT`
  The default is 30.
  `static final int`
  `PIE_SECTOR_LIGHT_SOURCE_DEFAULT`
  The default is TOP.
  `static final Color`
  `PIE_SECTORS_OUTLINE_COLOR_DEFAULT`
  The default is Color.black.
  `static final boolean`
  `PIE_SECTORS_OUTLINE_EXISTENCE_DEFAULT`
  The default is false.
  `static final int`
  `RAW`
  Indicates the pie numbers labels should have raw numbers.
  `static final int`
  `RIGHT`
  Signifies right.
  `static final int`
  `TOP`
  Signifies top.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PieChart2DProperties()`
  Creates a PieChart2DProperties object with the documented default values.
  `PieChart2DProperties(PieChart2DProperties pieChart2DProps)`
  Creates a PieChart2DProperties object with property values copied from another object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `getChartBetweenPieLabelsAndPieGapExistence()`
  Returns whether the gap between each pie label and the pie exists.
  `final int`
  `getChartBetweenPieLabelsAndPieGapThicknessModel()`
  Returns the thickness of the gap between each pie label and the pie for the chart's model size.
  `final boolean`
  `getPieLabelsBetweenLabelsGapExistence()`
  Returns whether a gap between each pie sector label exists.
  `final int`
  `getPieLabelsBetweenLabelsGapThicknessModel()`
  Returns the thickness of the gap between each pie label for the chart's model size.
  `final boolean`
  `getPieLabelsExistence()`
  Returns whether the pie sectors of the pie chart will be labeled.
  `final Color`
  `getPieLabelsFontColor()`
  Gets the color of the font of the pie labels.
  `final String`
  `getPieLabelsFontName()`
  Gets name of the font of the pie labels.
  `final int`
  `getPieLabelsFontPointModel()`
  Gets the point of the font of the pie labels for the chart's model size.
  `final int`
  `getPieLabelsFontStyle()`
  Gets the style of the font of the pie labels.
  `final Color`
  `getPieLabelsLinesColor()`
  Returns the color of the lines relating each pie sector with its particular label.
  `final Color`
  `getPieLabelsLinesDotsColor()`
  Returns the color of the dots that exist at the beginning and ending of the lines relating each pie sector with its particular label.
  `final boolean`
  `getPieLabelsLinesDotsExistence()`
  Returns whether dots exist at the beginning and ending of the lines relating each pie sector with its particular label.
  `final int`
  `getPieLabelsLinesDotsThicknessModel()`
  Returns the thickness (ie diameter) of the dots that exist at the beginning and ending of the lines releating each pie sector with its particular label for the chart's model size.
  `final boolean`
  `getPieLabelsLinesExistence()`
  Returns whether lines relating each pie sector with its particular label exists.
  `final int`
  `getPieLabelsLinesThicknessModel()`
  Returns the thickness of the lines relating each pie sector with its particular label for the model size of the chart.
  `final float`
  `getPieLabelsPointsBetweenPieAndLabelGapsDepthRatio()`
  Returns the depth within each gap between each pie sector and label, from each pie, of the point at which a line coming from a label and a line coming from a pie, meet.
  `final boolean`
  `getPieLabelsPointsGapOffsetExistence()`
  Returns whether the gap between each pie label and a point from which a line may be drawn and/or on which a dot may be placed to relate each label with a particular pie sector exists.
  `final float`
  `getPieLabelsPointsGapOffsetModelRatio()`
  Gets the ratio on the gap between the pie and the labels, for the gap between the labels and the labels point.
  `final float`
  `getPieLabelsPointsPieSectorsDepthRatio()`
  Returns the depth within each pie sector a point is placed from which a line may be drawn and/or on which a dot may be placed to relate each label with a particular pie sector for the chart's model size.
  `final int`
  `getPieLabelsType()`
  Returns the type of pie sector labels of the pie chart.
  `final int`
  `getPiePreferredSize()`
  Returns the preffered size of the pie in the pie chart.
  `final int`
  `getPieSectorLightSource()`
  Gets from which direction the light is coming for shading of the pie sectors.
  `final Color`
  `getPieSectorsOutlineColor()`
  Returns the color of the outline of the pie sectors.
  `final boolean`
  `getPieSectorsOutlineExistence()`
  Returns whether the sectors of the pie should have a thin outline.
  `final boolean`
  `isFontNameExists(String name)`
  Returns true if the font name exists in the graphics enviornment.
  `final void`
  `setChartBetweenPieLabelsAndPieGapExistence(boolean existence)`
  Specifies whether the gap between each pie label and the pie exists.
  `final void`
  `setChartBetweenPieLabelsAndPieGapThicknessModel(int thickness)`
  Specifies the thickness of the gap between each pie label and the pie for the chart's model size.
  `final void`
  `setPieChart2DProperties(PieChart2DProperties pieChart2DProps)`
  Sets all the properties to be the values of another PieChart2DProperties object.
  `final void`
  `setPieChart2DPropertiesToDefaults()`
  Sets all properties to their default values.
  `final void`
  `setPieLabelsBetweenLabelsGapExistence(boolean existence)`
  Specifies whether a gap between each pie sector label exists.
  `final void`
  `setPieLabelsBetweenLabelsGapThicknessModel(int thickness)`
  Specifies the thickness of the gap between each pie label for the chart's model size.
  `final void`
  `setPieLabelsExistence(boolean existence)`
  Specifies whether the pie sectors of the pie chart will be labeled.
  `final void`
  `setPieLabelsFontColor(Color color)`
  Sets the color of the font of the pie labels.
  `final void`
  `setPieLabelsFontName(String name)`
  Sets name of the font of the pie labels.
  `final void`
  `setPieLabelsFontPointModel(int point)`
  Sets the point of the font of the pie labels for the chart's model size.
  `final void`
  `setPieLabelsFontStyle(int style)`
  Sets the style of the font of the pie labels.
  `final void`
  `setPieLabelsLinesColor(Color color)`
  Specifies the color of the lines relating each pie sector with its particular label.
  `final void`
  `setPieLabelsLinesDotsColor(Color color)`
  Specifies the color of the dots that exist at the beginning and ending of the lines relating each pie sector with its particular label.
  `final void`
  `setPieLabelsLinesDotsExistence(boolean existence)`
  Specifies whether dots exist at the beginning and ending of the lines relating each pie sector with its particular label.
  `final void`
  `setPieLabelsLinesDotsThicknessModel(int thickness)`
  Specifies the thickness (ie diameter) of the dots that exist at the beginning and ending of the lines releating each pie sector with its particular label for the chart's model size.
  `final void`
  `setPieLabelsLinesExistence(boolean existence)`
  Specifies whether lines relating each pie sector with its particular label exists.
  `final void`
  `setPieLabelsLinesThicknessModel(int thickness)`
  Specifies the thickness of the lines relating each pie sector with its particular label for the model size of the chart.
  `final void`
  `setPieLabelsPointsBetweenPieAndLabelGapsDepthRatio(float ratio)`
  Specifies the depth within each gap between each pie sector and label, from each pie, of the point at which a line coming from a label and a line coming from a pie, meet.
  `final void`
  `setPieLabelsPointsGapOffsetExistence(boolean existence)`
  Specifies whether the gap between each pie label and a point from which a line may be drawn and/or on which a dot may be placed to relate each label with a particular pie sector exists.
  `final void`
  `setPieLabelsPointsGapOffsetModelRatio(float ratio)`
  Specifies the ratio on the gap between the pie and the labels, for the gap between the labels and the labels point.
  `final void`
  `setPieLabelsPointsPieSectorsDepthRatio(float ratio)`
  Specifies the depth within each pie sector a point is placed from which a line may be drawn and/or on which a dot may be placed to relate each label with a particular pie sector for the chart's model size.
  `final void`
  `setPieLabelsType(int type)`
  Specifies the type of pie sector labels of the pie chart.
  `final void`
  `setPiePreferredSize(int size)`
  Specifies the preffered size of the pie in the pie chart.
  `final void`
  `setPieSectorsOutlineColor(Color color)`
  Specifies the color of the outline of the pie sectors.
  `final void`
  `setPieSectorsOutlineExistence(boolean existence)`
  Specifies whether the sectors of the pie should have a thin outline.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### RAW

    public static final int RAW
    Indicates the pie numbers labels should have raw numbers.
    See Also:
      - Constant Field Values

  - ### PERCENT

    public static final int PERCENT
    Indicates the pie numbers labels should have percent ratios.
    See Also:
      - Constant Field Values

  - ### LEFT

    public static final int LEFT
    Signifies left.
    See Also:
      - Constant Field Values

  - ### RIGHT

    public static final int RIGHT
    Signifies right.
    See Also:
      - Constant Field Values

  - ### TOP

    public static final int TOP
    Signifies top.
    See Also:
      - Constant Field Values

  - ### BOTTOM

    public static final int BOTTOM
    Signifies bottom.
    See Also:
      - Constant Field Values

  - ### NONE

    public static final int NONE
    Signifies none.
    See Also:
      - Constant Field Values

  - ### CHART_BETWEEN_PIE_LABELS_AND_PIE_GAP_EXISTENCE_DEFAULT

    public static final boolean CHART_BETWEEN_PIE_LABELS_AND_PIE_GAP_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### CHART_BETWEEN_PIE_LABELS_AND_PIE_GAP_THICKNESS_MODEL_DEFAULT

    public static final int CHART_BETWEEN_PIE_LABELS_AND_PIE_GAP_THICKNESS_MODEL_DEFAULT
    The default is 6.
    See Also:
      - Constant Field Values

  - ### PIE_PREFERRED_SIZE_DEFAULT

    public static final int PIE_PREFERRED_SIZE_DEFAULT
    The default is 30.
    See Also:
      - Constant Field Values

  - ### PIE_SECTORS_OUTLINE_EXISTENCE_DEFAULT

    public static final boolean PIE_SECTORS_OUTLINE_EXISTENCE_DEFAULT
    The default is false.
    See Also:
      - Constant Field Values

  - ### PIE_SECTORS_OUTLINE_COLOR_DEFAULT

    public static final Color PIE_SECTORS_OUTLINE_COLOR_DEFAULT
    The default is Color.black.

  - ### PIE_LABELS_EXISTENCE_DEFAULT

    public static final boolean PIE_LABELS_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_TYPE_DEFAULT

    public static final int PIE_LABELS_TYPE_DEFAULT
    The default is RAW + PERCENT.
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_BETWEEN_LABELS_GAP_EXISTENCE_DEFAULT

    public static final boolean PIE_LABELS_BETWEEN_LABELS_GAP_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_BETWEEN_LABELS_GAP_THICKNESS_MODEL_DEFAULT

    public static final int PIE_LABELS_BETWEEN_LABELS_GAP_THICKNESS_MODEL_DEFAULT
    The default is 3.
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_POINTS_GAP_OFFSET_EXISTENCE_DEFAULT

    public static final boolean PIE_LABELS_POINTS_GAP_OFFSET_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_POINTS_GAP_OFFSET_MODEL_RATIO_DEFAULT

    public static final float PIE_LABELS_POINTS_GAP_OFFSET_MODEL_RATIO_DEFAULT
    The default is .50f.
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_POINTS_PIE_SECTORS_DEPTH_RATIO_DEFAULT

    public static final float PIE_LABELS_POINTS_PIE_SECTORS_DEPTH_RATIO_DEFAULT
    The default is .125f.
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_POINTS_BETWEEN_PIE_AND_LABEL_GAPS_DEPTH_RATIO_DEFAULT

    public static final float PIE_LABELS_POINTS_BETWEEN_PIE_AND_LABEL_GAPS_DEPTH_RATIO_DEFAULT
    The default is .25f.
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_LINES_EXISTENCE_DEFAULT

    public static final boolean PIE_LABELS_LINES_EXISTENCE_DEFAULT
    The default is true.
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_LINES_THICKNESS_MODEL_DEFAULT

    public static final int PIE_LABELS_LINES_THICKNESS_MODEL_DEFAULT
    The default is 1.
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_LINES_COLOR_DEFAULT

    public static final Color PIE_LABELS_LINES_COLOR_DEFAULT
    The default is Color.black.

  - ### PIE_LABELS_LINES_DOTS_EXISTENCE_DEFAULT

    public static final boolean PIE_LABELS_LINES_DOTS_EXISTENCE_DEFAULT
    The default is false.
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_LINES_DOTS_THICKNESS_MODEL_DEFAULT

    public static final int PIE_LABELS_LINES_DOTS_THICKNESS_MODEL_DEFAULT
    The default is 2.
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_LINES_DOTS_COLOR_DEFAULT

    public static final Color PIE_LABELS_LINES_DOTS_COLOR_DEFAULT
    The default is Color.black.

  - ### PIE_SECTOR_LIGHT_SOURCE_DEFAULT

    public static final int PIE_SECTOR_LIGHT_SOURCE_DEFAULT
    The default is TOP.
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_FONT_POINT_MODEL_DEFAULT

    public static final int PIE_LABELS_FONT_POINT_MODEL_DEFAULT
    The default is 10.
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_FONT_NAME_DEFAULT

    public static final String PIE_LABELS_FONT_NAME_DEFAULT
    The default is "SansSerif".
    See Also:
      - Constant Field Values

  - ### PIE_LABELS_FONT_COLOR_DEFAULT

    public static final Color PIE_LABELS_FONT_COLOR_DEFAULT
    The default is Color.black.

  - ### PIE_LABELS_FONT_STYLE_DEFAULT

    public static final int PIE_LABELS_FONT_STYLE_DEFAULT
    The default is Font.PLAIN.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PieChart2DProperties

    public PieChart2DProperties()
    Creates a PieChart2DProperties object with the documented default values.

  - ### PieChart2DProperties

    public PieChart2DProperties(PieChart2DProperties pieChart2DProps)
    Creates a PieChart2DProperties object with property values copied from another object. The copying is a deep copy.
    Parameters:
      `pieChart2DProps` - The properties to copy.

- ## Method Details

  - ### setPieChart2DPropertiesToDefaults

    public final void setPieChart2DPropertiesToDefaults()
    Sets all properties to their default values.

  - ### setPieChart2DProperties

    public final void setPieChart2DProperties(PieChart2DProperties pieChart2DProps)
    Sets all the properties to be the values of another PieChart2DProperties object. The copying is a deep copy.
    Parameters:
      `pieChart2DProps` - The properties to copy.

  - ### setChartBetweenPieLabelsAndPieGapExistence

    public final void setChartBetweenPieLabelsAndPieGapExistence(boolean existence)
    Specifies whether the gap between each pie label and the pie exists.
    Parameters:
      `existence` - If true, the gap exists.

  - ### setChartBetweenPieLabelsAndPieGapThicknessModel

    public final void setChartBetweenPieLabelsAndPieGapThicknessModel(int thickness)
    Specifies the thickness of the gap between each pie label and the pie for the chart's model size.
    Parameters:
      `int` - The model thickness of the gap.

  - ### setPiePreferredSize

    public final void setPiePreferredSize(int size)
    Specifies the preffered size of the pie in the pie chart. A pie does not have a calculable preferred size so one must be explicitly provided in this method. The size indicates the length of the diameter of the pie. This length must be >= 10.
    Parameters:
      `size` - The preferred size of the pie.

  - ### setPieSectorsOutlineExistence

    public final void setPieSectorsOutlineExistence(boolean existence)
    Specifies whether the sectors of the pie should have a thin outline.
    Parameters:
      `existence` - If true, then the pie will have a thin outline.

  - ### setPieSectorsOutlineColor

    public final void setPieSectorsOutlineColor(Color color)
    Specifies the color of the outline of the pie sectors.
    Parameters:
      `color` - The color of the outline of the pie sectors.

  - ### setPieLabelsExistence

    public final void setPieLabelsExistence(boolean existence)
    Specifies whether the pie sectors of the pie chart will be labeled. The labels can be raw numbers or percents. They encircle the pie. Methods that specify properties of these labels are setPieLabelsType (int) and Chart2DProperties.setChartDataLabelsPrecision (int).
    Parameters:
      `existence` - If true, the pie sectors will be labeled.

  - ### setPieLabelsType

    public final void setPieLabelsType(int type)
    Specifies the type of pie sector labels of the pie chart. The possible types are RAW, PERCENT, and RAW+PERCENT. The format for RAW+PERCENT is v (p%) where v is a data value and p is a percent value.
    Parameters:
      `type` - The type of the pie labels.

  - ### setPieLabelsBetweenLabelsGapExistence

    public final void setPieLabelsBetweenLabelsGapExistence(boolean existence)
    Specifies whether a gap between each pie sector label exists. The gap is applied both vertically and horizontally.
    Parameters:
      `existence` - If true, then the gap exists.

  - ### setPieLabelsBetweenLabelsGapThicknessModel

    public final void setPieLabelsBetweenLabelsGapThicknessModel(int thickness)
    Specifies the thickness of the gap between each pie label for the chart's model size.
    Parameters:
      `thickness` - The thickness of the gap.

  - ### setPieLabelsPointsGapOffsetExistence

    public final void setPieLabelsPointsGapOffsetExistence(boolean existence)
    Specifies whether the gap between each pie label and a point from which a line may be drawn and/or on which a dot may be placed to relate each label with a particular pie sector exists.
    Parameters:
      `existence` - If true, the gap exists.

  - ### setPieLabelsPointsGapOffsetModelRatio

    public final void setPieLabelsPointsGapOffsetModelRatio(float ratio)
    Specifies the ratio on the gap between the pie and the labels, for the gap between the labels and the labels point.
    Parameters:
      `ratio` - The ratio.

  - ### setPieLabelsPointsPieSectorsDepthRatio

    public final void setPieLabelsPointsPieSectorsDepthRatio(float ratio)
    Specifies the depth within each pie sector a point is placed from which a line may be drawn and/or on which a dot may be placed to relate each label with a particular pie sector for the chart's model size.
    Parameters:
      `ratio` - The depth into the pie sector to the pie sector depth for the point's placement.

  - ### setPieLabelsPointsBetweenPieAndLabelGapsDepthRatio

    public final void setPieLabelsPointsBetweenPieAndLabelGapsDepthRatio(float ratio)
    Specifies the depth within each gap between each pie sector and label, from each pie, of the point at which a line coming from a label and a line coming from a pie, meet.
    Parameters:
      `ratio` - The depth into the gap where the lines labeling lines meet.

  - ### setPieLabelsLinesExistence

    public final void setPieLabelsLinesExistence(boolean existence)
    Specifies whether lines relating each pie sector with its particular label exists.
    Parameters:
      `existence` - If true, then the pie labels lines exist.

  - ### setPieLabelsLinesThicknessModel

    public final void setPieLabelsLinesThicknessModel(int thickness)
    Specifies the thickness of the lines relating each pie sector with its particular label for the model size of the chart.
    Parameters:
      `thickness` - The thickness of the line.

  - ### setPieLabelsLinesColor

    public final void setPieLabelsLinesColor(Color color)
    Specifies the color of the lines relating each pie sector with its particular label.
    Parameters:
      `color` - The color of the lines.

  - ### setPieLabelsLinesDotsExistence

    public final void setPieLabelsLinesDotsExistence(boolean existence)
    Specifies whether dots exist at the beginning and ending of the lines relating each pie sector with its particular label.
    Parameters:
      `existence` - If true, then two dots per line will exist.

  - ### setPieLabelsLinesDotsThicknessModel

    public final void setPieLabelsLinesDotsThicknessModel(int thickness)
    Specifies the thickness (ie diameter) of the dots that exist at the beginning and ending of the lines releating each pie sector with its particular label for the chart's model size.
    Parameters:
      `thickness` - The thickness of the dots.

  - ### setPieLabelsLinesDotsColor

    public final void setPieLabelsLinesDotsColor(Color color)
    Specifies the color of the dots that exist at the beginning and ending of the lines relating each pie sector with its particular label.
    Parameters:
      `color` - The color of the dots.

  - ### setPieLabelsFontPointModel

    public final void setPieLabelsFontPointModel(int point)
    Sets the point of the font of the pie labels for the chart's model size.
    Parameters:
      `point` - The model font point of the pie labels.

  - ### setPieLabelsFontName

    public final void setPieLabelsFontName(String name)
    Sets name of the font of the pie labels. Accepts all values accepted by java.awt.Font.
    Parameters:
      `name` - The name of the font for the pie labels.

  - ### setPieLabelsFontColor

    public final void setPieLabelsFontColor(Color color)
    Sets the color of the font of the pie labels.
    Parameters:
      `color` - The color of the font of the pie labels.

  - ### setPieLabelsFontStyle

    public final void setPieLabelsFontStyle(int style)
    Sets the style of the font of the pie labels. Accepts all values that java.awt.Font accepts.
    Parameters:
      `style` - The style of the font of the pie labels.

  - ### getChartBetweenPieLabelsAndPieGapExistence

    public final boolean getChartBetweenPieLabelsAndPieGapExistence()
    Returns whether the gap between each pie label and the pie exists.
    Returns:
      If true, the gap exists.

  - ### getChartBetweenPieLabelsAndPieGapThicknessModel

    public final int getChartBetweenPieLabelsAndPieGapThicknessModel()
    Returns the thickness of the gap between each pie label and the pie for the chart's model size.
    Returns:
      The model thickness of the gap.

  - ### getPiePreferredSize

    public final int getPiePreferredSize()
    Returns the preffered size of the pie in the pie chart. A pie does not have a calculable preferred size so one must be explicitly provided in this method. The size indicates the length of the diameter of the pie. This length must be >= 10.
    Returns:
      The preferred size of the pie.

  - ### getPieSectorsOutlineExistence

    public final boolean getPieSectorsOutlineExistence()
    Returns whether the sectors of the pie should have a thin outline.
    Returns:
      If true, then the pie will have a thin outline.

  - ### getPieSectorsOutlineColor

    public final Color getPieSectorsOutlineColor()
    Returns the color of the outline of the pie sectors.
    Returns:
      The color of the outline of the pie sectors.

  - ### getPieLabelsExistence

    public final boolean getPieLabelsExistence()
    Returns whether the pie sectors of the pie chart will be labeled. The labels can be raw numbers or percents. They encircle the pie. Methods that specify properties of these labels are setPieLabelsType (int) and Chart2DProperties.setChartDataLabelsPrecision (int).
    Returns:
      If true, the pie sectors will be labeled.

  - ### getPieLabelsType

    public final int getPieLabelsType()
    Returns the type of pie sector labels of the pie chart. The possible types are RAW, PERCENT, and RAW+PERCENT. The format for RAW+PERCENT is v (p%) where v is a data value and p is a percent value.
    Returns:
      The type of the pie labels.

  - ### getPieLabelsBetweenLabelsGapExistence

    public final boolean getPieLabelsBetweenLabelsGapExistence()
    Returns whether a gap between each pie sector label exists. The gap is applied both vertically and horizontally.
    Returns:
      If true, then the gap exists.

  - ### getPieLabelsBetweenLabelsGapThicknessModel

    public final int getPieLabelsBetweenLabelsGapThicknessModel()
    Returns the thickness of the gap between each pie label for the chart's model size.
    Returns:
      The thickness of the gap.

  - ### getPieLabelsPointsGapOffsetExistence

    public final boolean getPieLabelsPointsGapOffsetExistence()
    Returns whether the gap between each pie label and a point from which a line may be drawn and/or on which a dot may be placed to relate each label with a particular pie sector exists.
    Returns:
      If true, the gap exists.

  - ### getPieLabelsPointsGapOffsetModelRatio

    public final float getPieLabelsPointsGapOffsetModelRatio()
    Gets the ratio on the gap between the pie and the labels, for the gap between the labels and the labels point.
    Returns:
      The ratio.

  - ### getPieLabelsPointsPieSectorsDepthRatio

    public final float getPieLabelsPointsPieSectorsDepthRatio()
    Returns the depth within each pie sector a point is placed from which a line may be drawn and/or on which a dot may be placed to relate each label with a particular pie sector for the chart's model size.
    Returns:
      The depth into the pie sector to the pie sector depth for the point's placement.

  - ### getPieLabelsPointsBetweenPieAndLabelGapsDepthRatio

    public final float getPieLabelsPointsBetweenPieAndLabelGapsDepthRatio()
    Returns the depth within each gap between each pie sector and label, from each pie, of the point at which a line coming from a label and a line coming from a pie, meet.
    Returns:
      The depth into the gap where the lines labeling lines meet.

  - ### getPieLabelsLinesExistence

    public final boolean getPieLabelsLinesExistence()
    Returns whether lines relating each pie sector with its particular label exists.
    Returns:
      If true, then the pie labels lines exist.

  - ### getPieLabelsLinesThicknessModel

    public final int getPieLabelsLinesThicknessModel()
    Returns the thickness of the lines relating each pie sector with its particular label for the model size of the chart.
    Returns:
      The thickness of the line.

  - ### getPieLabelsLinesColor

    public final Color getPieLabelsLinesColor()
    Returns the color of the lines relating each pie sector with its particular label.
    Returns:
      The color of the lines.

  - ### getPieLabelsLinesDotsExistence

    public final boolean getPieLabelsLinesDotsExistence()
    Returns whether dots exist at the beginning and ending of the lines relating each pie sector with its particular label.
    Returns:
      If true, then two dots per line will exist.

  - ### getPieLabelsLinesDotsThicknessModel

    public final int getPieLabelsLinesDotsThicknessModel()
    Returns the thickness (ie diameter) of the dots that exist at the beginning and ending of the lines releating each pie sector with its particular label for the chart's model size.
    Returns:
      The thickness of the dots.

  - ### getPieLabelsLinesDotsColor

    public final Color getPieLabelsLinesDotsColor()
    Returns the color of the dots that exist at the beginning and ending of the lines relating each pie sector with its particular label.
    Returns:
      The color of the dots.

  - ### getPieSectorLightSource

    public final int getPieSectorLightSource()
    Gets from which direction the light is coming for shading of the pie sectors. Uses fields TOP, BOTTOM, LEFT, RIGHT, and NONE.
    Returns:
      The direction of the light.

  - ### getPieLabelsFontPointModel

    public final int getPieLabelsFontPointModel()
    Gets the point of the font of the pie labels for the chart's model size.
    Returns:
      int The model font point of the pie labels.

  - ### getPieLabelsFontName

    public final String getPieLabelsFontName()
    Gets name of the font of the pie labels. Accepts all values accepted by java.awt.Font.
    Returns:
      String The name of the font for the pie labels.

  - ### getPieLabelsFontColor

    public final Color getPieLabelsFontColor()
    Gets the color of the font of the pie labels.
    Returns:
      Color The color of the font of the pie labels.

  - ### getPieLabelsFontStyle

    public final int getPieLabelsFontStyle()
    Gets the style of the font of the pie labels. Accepts all values that java.awt.Font accepts.
    Returns:
      int The style of the font of the pie labels.

  - ### isFontNameExists

    public final boolean isFontNameExists(String name)
    Returns true if the font name exists in the graphics enviornment.
    Parameters:
      `name` - The name of the font to determine the existence of.
    Returns:
      boolean If true, then the font name exists.